import toolbox_laplacian as lapedg
import numpy as np
import matplotlib.pyplot as plt
from scipy.ndimage import gaussian_filter

# Input
folder = 'tomography/'
RHO_filename = 'RHO_grid.txt'
X_filename = 'X_grid.txt'
Z_filename = 'Z_grid.txt'
plotmin = 5
plotmax = 40

RHO_grid = np.loadtxt(folder + RHO_filename)
X_grid = np.loadtxt(folder + X_filename)
Z_grid = np.loadtxt(folder + Z_filename)

# Plot tomography and Laplacian edges
fig = plt.figure()
ax = fig.add_subplot(111)
ax.contourf(X_grid, Z_grid, RHO_grid, 100, cmap='jet', vmin=plotmin, vmax=plotmax)
ax.set_xlabel('Distance (m)')
ax.set_ylabel('Depth (m)')
tomo_lap = lapedg.tomo_laplace(X_grid, Z_grid, RHO_grid, ax)  # Laplacian edges

plt.show()
