import numpy as np
import matplotlib.pyplot as plt


def plot(folder, plotmin, plotmax):
    X_grid = np.loadtxt(folder + 'X_grid.txt')
    Z_grid = np.loadtxt(folder + 'Z_grid.txt')
    RHO_grid = np.loadtxt(folder + 'RHO_grid.txt')

    title = folder[-4:-1] + ' Tomography ' + folder_i[6:-5]

    fig_cb = plt.figure()  # dummy figure
    ax_cb = fig_cb.add_subplot(111)
    im = ax_cb.imshow(RHO_grid, cmap='jet', vmin=plotmin, vmax=plotmax)
    plt.close(fig_cb)

    fig = plt.figure()
    ax = fig.add_axes([0.1, 0.1, 0.7, 0.7])
    cbax = fig.add_axes([0.85, 0.1, 0.03, 0.7])

    ax.contourf(X_grid, Z_grid, RHO_grid, 100, cmap='jet', vmin=plotmin, vmax=plotmax)  # contour plot
    fig.colorbar(im, cax=cbax, orientation='vertical')  # colorbar plot
    ax.set_xlabel('Distance (m)')
    ax.set_ylabel('Depth (m)')
    ax.set_title(title)
    fig.savefig(folder_i + 'tomographic_image.eps')


# Input
list_of_folders = ['../../Dike_20-3/ERT/', '../../Dike_20-3/EMI/', '../../Montfoort/ERT/', '../../Montfoort/EMI/']
plotmin = [5, 5, 20, 20]
plotmax = [40, 40, 120, 120]

# Plot
for folder_i, plotmin_i, plotmax_i in zip(list_of_folders, plotmin, plotmax):
    plot(folder_i, plotmin_i, plotmax_i)

plt.show()
